Loading...
Searching...
No Matches
amp_conf.c File Reference
Amplifier API

Amplifier Configuration Interface. More...

`#include "hamlib/config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "hamlib/amplifier.h"`
`#include "hamlib/port.h"`
`#include "hamlib/amp_state.h"`
`#include "amp_conf.h"`
`#include "token.h"`
`#include "serial_cfg_params.h"`
Include dependency graph for amp_conf.c:

## Functions

int | frontamp_set_conf (AMP *amp, hamlib_token_t token, const char *val)
| Set an amplifier state value from alpha input.
int | frontamp_get_conf2 (AMP *amp, hamlib_token_t token, char *val, int val_len)
| Query data from an amplifier state in alpha form.
int | amp_token_foreach (AMP *amp, int(*cfunc)(const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the configuration parameters table.
const struct confparams * | amp_confparam_lookup (AMP *amp, const char *name)
| Query an amplifier configuration parameter token by its name.
hamlib_token_t | amp_token_lookup (AMP *amp, const char *name)
| Search for the token ID associated with an amplifier configuration parameter token name.
int | amp_set_conf (AMP *amp, hamlib_token_t token, const char *val)
| Set an amplifier configuration parameter.
int | amp_get_conf2 (AMP *amp, hamlib_token_t token, char *val, int val_len)
| Query the value of an amplifier configuration parameter.
int | amp_get_conf (AMP *amp, hamlib_token_t token, char *val)

## Detailed Description

Amplifier Configuration Interface.